//HC-12 Transmitter 8 chanels + 8 (multiswitch)
//Jean Louis Coural 07/07/2023
// new features: servo sensibility 98%
//               test 2400 bauds for long range


//    UART
// mega2560 Serial_2  = UART2 Tx=D16  Rx=D17
// mega328p Serial_0 = UART  Tx=D1=pin30 Rx=D2=pin31
#define Serial_2 

// UART0 display (only 2560 remove for 328p)
//#define _DISPLAY
   

#include "ppm.h"
#include "TX433.h"

void setup() {
#if defined(_DISPLAY)
  Serial.begin(9600);  
#endif  
  ppm_init(); 
  startTransmitter(9600); 
  delay(300);
  //prev = millis();
  
  }
  
  
void loop() { 
  
  if(MSWdataReady) 
  {           	   
    //my_delay = millis() - prev;
    //prev = millis();
	
    if(load_data(SWCH)) transmit(); 	
		    
	//display(SW);
    MSWdataReady = false;   	  
  }  
  
  if(CHdataReady) 
  {    
    //my_delay = millis() - prev;
    //prev = millis();
	
    if(load_data(STDCH)) transmit(); 
	
	//display(CH);
    CHdataReady = false;  
  }  
 
}
